/* ----------------------------------------------------------------------

  Stochastic Eulerian Lagrangian Methods

  Paul J. Atzberger
  http://atzberger.org/
 

------------------------------------------------------------------------- */

#include <cstdlib>
#include "stdio.h"
#include "string.h"
#include "fix_SELM.h"
#include "SELM_CouplingOperator.h"
#include "atom.h"
#include "force.h"
#include "update.h"
#include "respa.h"
#include "error.h"

#include <malloc.h>

using namespace LAMMPS_NS;

/* ---------------------------------------------------------------------- */

SELM_CouplingOperator::SELM_CouplingOperator() {

  const char *error_str_code = "SELM_CouplingOperator.cpp";
  const char *error_str_func = "SELM_CouplingOperator()";

}

SELM_CouplingOperator::SELM_CouplingOperator(int narg, char **arg) {

  const char *error_str_code = "SELM_CouplingOperator.cpp";
  const char *error_str_func = "SELM_CouplingOperator(narg,arg)";

}

SELM_CouplingOperator::~SELM_CouplingOperator() {

}

void SELM_CouplingOperator::setGlobalRefs(LAMMPS *lmps, FixSELM *fx) {

  lammps  = lmps;
  fixSELM = fx;

}
