/* ----------------------------------------------------------------------

  Stochastic Eulerian Lagrangian Methods

  Paul J. Atzberger
  http://atzberger.org/
 

------------------------------------------------------------------------- */
#include "SELM_CouplingOperator_Types.h"

using namespace LAMMPS_NS;

/* ---------------------------------------------------------------------- */
int   SELM_CouplingOperator_Types::TYPE_NULL                                   = 0;
char* SELM_CouplingOperator_Types::TYPE_STR_NULL                               = "NULL";

int   SELM_CouplingOperator_Types::TYPE_LAMMPS_SHEAR_UNIFORM1_FFTW3_TABLE1     = 1;
char* SELM_CouplingOperator_Types::TYPE_STR_LAMMPS_SHEAR_UNIFORM1_FFTW3_TABLE1 = "LAMMPS_SHEAR_UNIFORM1_FFTW3_TABLE1";

int   SELM_CouplingOperator_Types::TYPE_StaggeredGrid1                         = 2;
char* SELM_CouplingOperator_Types::TYPE_STR_StaggeredGrid1                     = "StaggeredGrid1";

int   SELM_CouplingOperator_Types::TYPE_Uniform1_Periodic                      = 3;
char* SELM_CouplingOperator_Types::TYPE_STR_Uniform1_Periodic                  = "Uniform1_Periodic";

SELM_CouplingOperator_Types::SELM_CouplingOperator_Types() {

}

SELM_CouplingOperator_Types::~SELM_CouplingOperator_Types() {

}
