# Install/unInstall package files in LAMMPS

if (test $1 = 1) then

#  echo "  "
#  echo "WARNING: (PJA) We use symbolic links instead of copy of source codes."
#  echo "         This was done to help avoid issues when debugging and changing files. "
#  echo "         If one is not careful the copies are changed and edits not retained."
#  echo "         To avoid this annoying issue, symbolic links are used."
#  echo "         For the final release a copy using cp -p command should be used instead."
#

  echo "Symbolic link copying files for USER-SELM package."  
  basePath=$(pwd -P)
  echo "Base Path = $basePath"

  ln -sf $basePath/*.h ../
  ln -sf $basePath/*.cpp ../

#  echo "Copying files for USER-SELM package."
#  cp -p $PWD/*.h ../
#  cp -p $PWD/*.cpp ../

  echo " "
  echo "WARNING: USER-SELM current version is implemented only for serial computing."
  echo " "
  echo "For the lastest release and more information see http://atzberger.org."
  echo " "
  echo "Appears package was installed correctly (modulo any warnings above)."
  echo " "

elif (test $1 = 0) then

  rm ../fix_SELM.cpp
  rm ../fix_SELM.h

  echo "  "
#  echo "WARNING: (PJA) List of files to remove is not yet implemented."

fi
