/* ----------------------------------------------------------------------
   Table of types for SELM_CouplingOperators derived classes.
   
   Paul J. Atzberger
   http://atzberger.org/
 
------------------------------------------------------------------------- */

#ifndef SELM_COUPLINGOPERATOR_TYPES_H
#define SELM_COUPLINGOPERATOR_TYPES_H

namespace LAMMPS_NS {

class SELM_CouplingOperator_Types {

 public:
  SELM_CouplingOperator_Types();
  virtual ~SELM_CouplingOperator_Types();

  static int        TYPE_NULL;
  static char      *TYPE_STR_NULL;

  static int        TYPE_LAMMPS_SHEAR_UNIFORM1_FFTW3_TABLE1;
  static char      *TYPE_STR_LAMMPS_SHEAR_UNIFORM1_FFTW3_TABLE1;

  static int        TYPE_StaggeredGrid1;
  static char      *TYPE_STR_StaggeredGrid1;

  static int        TYPE_Uniform1_Periodic;
  static char      *TYPE_STR_Uniform1_Periodic;
};

}

#endif
