/* ----------------------------------------------------------------------

  Stochastic Eulerian Lagrangian Methods

  Paul J. Atzberger
  http://atzberger.org/
 

------------------------------------------------------------------------- */

#include <cstdlib>
#include "stdio.h"
#include "string.h"
#include "fix_SELM.h"
#include "SELM_Integrator.h"
#include "atom.h"
#include "force.h"
#include "update.h"
#include "respa.h"
#include "error.h"

#include <malloc.h>

using namespace LAMMPS_NS;

/* ---------------------------------------------------------------------- */

SELM_Integrator::SELM_Integrator() {

  const char *error_str_code = "SELM_Integrator.cpp";
  const char *error_str_func = "SELM_Integrator()";

}

SELM_Integrator::SELM_Integrator(int narg, char **arg) {

  const char *error_str_code = "SELM_Integrator.cpp";
  const char *error_str_func = "SELM_Integrator(narg,arg)";

}

SELM_Integrator::~SELM_Integrator() {

}

void SELM_Integrator::setGlobalRefs(LAMMPS *lmps, FixSELM *fx) {

  /* setup the LAMMPS related information */
  lammps  = lmps;
  fixSELM = fx;

}

void SELM_Integrator::post_force(int vflag) {
  // perform operations after computing forces
}

void SELM_Integrator::setup_LAMMPS(int vflag) {
  // perform operations after computing forces
}


